

import bpy
import sys
 
argv = sys.argv
argv = argv[argv.index("--") + 1:] # get all args after "--"

# parse args
obj_in = argv[0]
render_out = argv[1]
format_out = argv[2]

### BELOW CODE CAN BE PUT IN A FOR LOOP TO IMPORT AND RENDER MULTIPLE MESHES

# mark existing objects
for obj in bpy.data.objects:
    obj.tag = True

# import obj
test = bpy.ops.import_scene.obj(filepath=obj_in, axis_forward='-Z', axis_up='Y')

# set output filename 
bpy.data.scenes["Scene"].render.image_settings.file_format = format_out
bpy.data.scenes["Scene"].render.filepath = render_out

# render
bpy.ops.render.render( write_still = True )

# get the imported objects
imported_objects = [obj for obj in bpy.data.objects if obj.tag is False]

# select them only.
for obj in imported_objects:
  bpy.data.objects[obj.name].select = True
 
# remove all selected.
bpy.ops.object.delete()

### NOW THE IMPORTED OBJECT(S) ARE DELETED AND WE CAN IMPORT NEW ONES

